# class Sass::Script::Value::Function

A SassScript object representing a function.

### Public Class Methods

new(function) click to toggle source

Constructs a Function value for use in SassScript.

@param function [Sass::Callable] The callable to be used when the function is invoked.

Calls superclass method Sass::Script::Value::Callable.new

    # File lib/sass/script/value/function.rb, line 8
    def initialize(function)
      unless function.type == "function"
        raise ArgumentError.new("A callable of type function was expected.")
      end
      super
    end

### Public Instance Methods

to_sass() click to toggle source

    # File lib/sass/script/value/function.rb, line 15
    def to_sass
      %{get-function("#{value.name}")}
    end